Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IPlaneAttractorField.IPlaneAttractorFieldGeo

    java.lang.Object
      igeo.IFieldGeo
          igeo.IPlaneFieldGeo
              igeo.IPlaneAttractorField.IPlaneAttractorFieldGeo

All Implemented Interfaces:
  I3DFieldI, IFieldI

Enclosing class:
  IPlaneAttractorField

    public static class IPlaneAttractorField.IPlaneAttractorFieldGeo

extends IPlaneFieldGeo

Nested Class Summary

Nested classes/interfaces inherited from class igeo.IFieldGeo
`IFieldGeo.Decay`

Field Summary

Fields inherited from class igeo.IPlaneFieldGeo
`nml, pos`

Fields inherited from class igeo.IFieldGeo
`bidirectional, constantIntensity, customDecay, decay, gaussDecay, intensity, linearDecay, noDecay, threshold`

Constructor Summary
`IPlaneAttractorField.IPlaneAttractorFieldGeo(IVecI pos, IVecI nml)`

Method Summary
`IVecI` | `getForce(IVecI v)` get original field value out of curve parameter u

Methods inherited from class igeo.IPlaneFieldGeo
`del, gauss, gaussian, gaussianDecay, get, get, getForce, intensity, linear, linearDecay, nml, noDecay, pos, threshold`

Methods inherited from class igeo.IFieldGeo
`bidirectional, constantIntensity, decay, decay, intensity, threshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.IFieldI
`bidirectional, constantIntensity, decay, intensity, threshold`

Constructor Detail

### IPlaneAttractorField.IPlaneAttractorFieldGeo

    public IPlaneAttractorField.IPlaneAttractorFieldGeo(IVecI pos,
                                                        IVecI nml)

Method Detail

### getForce

    public IVecI getForce(IVecI v)

  Description copied from class: `IPlaneFieldGeo`
  get original field value out of curve parameter u

  Overrides:
    `getForce` in class `IPlaneFieldGeo`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD